<?php
//class UserController extends BaseController {
class UserController extends MyadminUserController {

    public function getManage()
    {
        $users = array();
        $users = DB::table('users')->get();
        return View::make('user')->withUsers($users)
            ->with('_CONST', $this->_CONST);
    }

    public function getManager()
    {
	$managers = array();
	$managers = DB::table('administrators')->get();
	return View::make('manager')->withManagers($managers)->with('_CONST', $this->_CONST);
    }

    public function getCreateUser()
    {
        return View::make('createUser')
            ->with('_CONST', $this->_CONST);
    }

    public function getUpdateUser($id = NULL)
    {
        if($id)
            return View::make('updateUser')->withId($id)
                ->with('_CONST', $this->_CONST);
        else
            return Redirect::back();
    }

    public function getMemberlist($level)
    {
	if($level == 1)
	{
		$users = array();
	        $users = DB::table('users')->where('level','=','種子帳戶')->get();
        	return View::make('user')->withUsers($users)->withId('0')
            		->with('_CONST', $this->_CONST);
	}
	else if($level == 2)
	{
	        $users = array();
        	$users = DB::table('users')->where('level','=','一般帳戶')->get();
	        return View::make('user')->withUsers($users)->withId('1')
        	    ->with('_CONST', $this->_CONST);
	}
	else
	{
	        $users = array();
	        $users = DB::table('users')->get();
        	return View::make('user')->withUsers($users)->withId('-1')
            		->with('_CONST', $this->_CONST);
	}
    }


    public function getDetail($id)
    {
	$user=array();
	$user=DB::table('users')->where('id',$id)->first();
	return View::make('detailUser')->withUser($user)->with('_CONST', $this->_CONST);
    }
	
    public function getSendPasswd($id)
    {
	$member=array();
        $member=DB::table('users')->where('id',$id)->first();
	
	// I'm creating an array with user's info but most likely you can use $user->email or pass $user object to closure later
	$user = array(
		'email'=>$member->email,
		'name'=>$member->name
	);

	// the data that will be passed into the mail view blade template
	$data = array(
		'detail'=>'Your awesome detail here',
		'name'	=> $user['name']
	);

	// use Mail::send function to send email passing the data and using the $user variable in the closure
	Mail::send('emails.welcom', $data, function($message) use ($user)
	{
	  //$message->from('jackwang0919@gmail.com', 'jackwang0919');
	  $message->to($user['email'], $user['name'])->subject('Welcome to My Laravel app!');
	});
	return Redirect::back()->withErrors("1");
    }
/////add Manager account

    public function postAddManager()
    {
	$rules = [
                'account'=>'required | unique:users',
                'password'=>'required',
                'authority'=>'required',
		'status'=>'required'];

        $validation = Validator::make(Input::all(),$rules);
        if($validation->fails())
        {
                return Redirect::back()->withErrors($validation)->withInput();
        }
        try{
                DB::table('administrators')->insert(array(
                    array(
                        'account'=>Input::get('account'),
                        'password'=>Input::get('password'),
                        'level'=>Input::get('authority'),
                        'created_at'=>Input::get('register-time'),
			'username'=>Input::get('account'),
			'updated_at'=>"2015/07/06"),
                ));

                $id = Session::get('id');
                OperatorLog::saveItem($id, "新增".Input::get('authority')."管理者 " . Input::get('accounte'));
            }
            catch(Exception $e)
            {
                //return Redirect::back()->withErrors('Error!!')->withInput();
                return Redirect::back()->withErrors($e)->withInput();
            }
            return Redirect::to('admin/user/manager');
    }


//////create fb login account 
   public function getFblogin($profile)
   {
	$profile = explode(",",$profile);
	$chk_count= DB::table('users')->where('phone',$profile[1])->count();
	if($chk_count >0)
	{
		return Redirect::to('admin/user/manage')->with('info',$profile[1]."已存在");
	}
	else{
        try{
                DB::table('users')->insert(array(
                    array(
                        'register_time'=>date('Y-m-d H:i'),
                        'login_type'=>"Facebook",
                        'status'=>'正常',
                        'authority'=>'一般',
                        'email'=>$profile[2],
                        'name'=>$profile[0],
                        'phone'=>$profile[1],
                        'level'=>"種子帳戶"),
                ));

                $id = Session::get('id');
                OperatorLog::saveItem($id, "新增臉書會員 " . $profile[0]);
            }
            catch(Exception $e)
            {
                return Redirect::back()->withErrors($e);
            }
	}
	return Redirect::to('admin/user/manage')->with('info',$profile[1]);
   }


////

    public function postAddSeedUser()
    {
	$rules = [
		'email'=>'required | unique:users',
		'name'=>'required',
		'phone'=>'required'];

	$validation = Validator::make(Input::all(),$rules);
	if($validation->fails())
	{
		return Redirect::back()->withErrors($validation)->withInput();
	}
	try{
                DB::table('users')->insert(array(
                    array(
                        'register_time'=>Input::get('register-time'),
                        'login_type'=>Input::get('login-type'),
			'status'=>Input::get('status'),
			'authority'=>Input::get('authority'),
                        'email'=>Input::get('email'),
                        'name'=>Input::get('name'),
                        'phone'=>Input::get('phone'),
			'level'=>"種子帳戶"),
                ));

                $id = Session::get('id');
                OperatorLog::saveItem($id, "新增種子會員 " . Input::get('accounte'));
            }
            catch(Exception $e)
            {
		//return Redirect::back()->withErrors('Error!!')->withInput();
		return Redirect::back()->withErrors($e)->withInput();
            }
            return Redirect::to('admin/user/manage');
		
    }
    public function postAddUser()
    {
        //validation
        $rules = [ 
            'account'=>'required|unique:users',
            'userPassword'=>'required',
            'userId'=>'required',
            'birthday'=>'required',
            'phone'=>'required',
            'email'=>'required',
            'address'=>'required',
	    'name'=>'required'];

        $validation = Validator::make(Input::all(),$rules);

        if($validation->fails())
        {
            return Redirect::back()->withErrors($validation)->withInput();
        }

        //Add new user info 
        $salt = Config::get('Myadmin::admin.salt');
        $parent_id = NULL;
        $parent_mail=NULL;
        $chk_count= DB::table('users')->where('email',Input::get('parentId'))->count();
        $chk= DB::table('users')->where('email',Input::get('parentId'))->first();
        if($chk_count <= 0 && Input::has('parentId'))
            return Redirect::back()->withErrors('parent mail Error!!')->withInput();
        else
        {
            if($chk_count > 0){
                $parent_id = $chk->id;
                $parent_mail = $chk->email;
            }
            try{
                DB::table('users')->insert(array(
                    array(
                        'account'=>Input::get('account'),
                        'password'=> crypt(Input::get('userPassword'), $salt),
                        'email'=>Input::get('email'),
                        'phone'=>Input::get('phone'),
                        'identification'=>Input::get('userId'),
                        'birthday'=>Input::get('birthday'),
                        'address1'=>Input::get('address'),
                        'parent_id'=> $parent_id,
                        'level'=>Input::get('level'),
			'register_time'=>Input::get('register-time'),
			'login_type'=>Input::get('login-type'),
			'authority'=>Input::get('authority'),
			'status'=>Input::get('status'),
			'name'=>Input::get('name'),
			'gender'=>Input::get('gender')),
                ));
                
                $id = Session::get('id');
                OperatorLog::saveItem($id, "新增使用者 " . Input::get('accounte'));
            }
            catch(Exception $e)
            {
                return Redirect::back()->with('message',$e)->withInput();
            }
            return Redirect::to('admin/user/manage');
        }
    }


    public function postUpdate($id =NULL)
    {
        $salt = Config::get('Myadmin::admin.salt');
        $parent_id = NULL;
        $parent_count= DB::table('users')->where('email',Input::get('parentId'))->count();
        $parent= DB::table('users')->where('email',Input::get('parentId'))->first();
        if($parent_count>0)
            $parent_id = $parent->id;	
        else
            $prent_id = NULL;


        if(!(Input::has('userPassword')) && !(Input::has('userNewPassword')))	
        {
            $chk_count= DB::table('users')->where('email',Input::get('parentId'))->count();
            $chk= DB::table('users')->where('email',Input::get('parentId'))->first();
            if($chk_count <= 0 && Input::has('parentId'))
                return Redirect::back()->withId($id)->withErrors('Parent Mail 有誤!')->withInput();
            else
            {
                if($parent_id != NULL)
                {
                    DB::table('users')->where('id',Input::get('id'))
                        ->update(
                            array(
                                'account'=>Input::get('account'),
                                //'password'=> crypt(Input::get('userPassword'), $salt),
                                'email'=>Input::get('email'),
                                'phone'=>Input::get('phone'),
                                'identification'=>Input::get('userId'),
                                'birthday'=>Input::get('birthday'),
                                'address1'=>Input::get('address'),
                                'parent_id'=>$parent_id,
                            ));

                    $id = Session::get('id');
                    OperatorLog::saveItem($id, "編輯使用者 " . Input::get('account'));
                    return Redirect::to('admin/user/manage')->with('message','Update success!');
                }
                else
                    return Redirect::back()->withId($id)->withErrors('Parent Mail 有誤!');

            }
        }
        else      //輸入錯誤密碼，會有錯誤，無法正常執行！！！！
        {
            $prepasswd = crypt(Input::get('userPassword'), $salt);
            $chkUpdate= DB::table('users')->where('account',Input::get('account'))->where('password',$prepasswd)->count();
            if($chkUpdate > 0)
            {
                if(Input::has('userNewPassword'))
                {
                    if(Input::has('userChkPassword'))
                    {
                        if(Input::get('userNewPassword') != Input::get('userChkPassword'))
                            return Redirect::back()->withId($id)->withErrors('新密碼與確認碼有誤')->withInput();
                    }
                    else
                        return Redirect::back()->withId($id)->withErrors('請再次輸入確認碼')->withInput();


                    DB::table('users')->where('id',Input::get('id'))
                        ->update(
                            array(
                                'account'=>Input::get('account'),
                                'password'=> crypt(Input::get('userNewPassword'), $salt),
                                'email'=>Input::get('email'),
                                'phone'=>Input::get('phone'),
                                'identification'=>Input::get('userId'),
                                'birthday'=>Input::get('birthday'),
                                'address1'=>Input::get('address'),
                                'parent_id'=>$parent_id,
                            ));
                    return Redirect::to('admin/user/manage')->with('message','Update success!');
                }
                else{
                    echo "輸入新密碼";
                    return Redirect::back()->withId($id)->withErrors('請輸入新密碼')->withInput();
                    //return Redirect::to('admin/user/updateUser/'.$id)->withErrors('請輸入新密碼');
                }
            }
            else {
                echo "密碼錯誤";
                return Redirect::back()->withId($id)->withErrors('舊密碼有誤')->withInput();
                //return Redirect::to('admin/user/updateUser')->withErrors('舊密碼有誤');
            }
        }
    } 


    public function postDeleteUser()
    {
	$check_authority = DB::table('users')->where('id',Input::get('id'))->first();
	$authority =$check_authority->is_available;
	//DB::table('users')->where('id','=',Input::get('id'))->delete();
	if($authority == 1)
	{
		DB::table('users')->where('id','=',Input::get('id'))->update(array('is_available'=>'0'));
        $id = Session::get('id');
        $user = User::find(Input::get('id'));
        OperatorLog::saveItem($id, "停權 使用者 " . $user->account);
		$authority = 0;
	}
	else
	{
		DB::table('users')->where('id','=',Input::get('id'))->update(array('is_available'=>'1'));
        $id = Session::get('id');
        $user = User::find(Input::get('id'));
        OperatorLog::saveItem($id, "復權 使用者 " . $user->account);
		$authority = 1;
	}
	return Redirect::to('admin/user/manage')->withAuthority($authority)->with('message','success!');
    }






///////////////////////////////////////////////////API
    public function getLogin()
    {
        return View::make('user_login');
    }

    public function getLogout()
    {
        //清除session
        // Session::flush('token');
        Session::forget('isLogin');
        return Redirect::to('admin')->with('message','Logout success!');
    }

    public function postUserApi()
    {
        $salt = Config::get('Myadmin::admin.salt');
        $passwd = crypt(Input::get('password'), $salt);
        $user = DB::table('users')->where('account',Input::get('UserAccount'))->where('password',$passwd)->first();
        if(json_encode($user) != "[]")
        {
            if($user->is_available == 1)
                print (json_encode($user));
            else if($user->is_available == 0)
                print("無權限...");
        }
        else
            print("error!!");
        //return View::make('user_login')->with('user', json_encode($user));	
    }
}
