<?php

class OperatorLog extends Eloquent { 

    /**
     * The database table used by the model.
     *
     * @var string
     */
    protected $table = 'operator_log';

    /**
     * The attributes excluded from the model's JSON form.
     *
     * @var array
     */
    public static function saveItem($id, $op) 
    {
        $admin = Administrator::findOrFail($id);
        if($admin) {
            $operator = new OperatorLog;
            $operator->admin_id = $id;
            $operator->operator = $op;
            $operator->save();
        }
    }

    public static function getLogList() 
    {
        $level = \Session::get('level');
        if($level == "最高管理員") {
            $operators = OperatorLog::orderBy("updated_at", 'desc')->paginate(15);
            for($i = 0; $i < count($operators); $i++) {
                $test = OperatorLog::find($operators[$i]['id'])->belongsTo('Administrator', 'admin_id', 'id')->first();
                $operators[$i]['username'] = $test['username'];
            }
        } else {
            $operators = OperatorLog::join('administrators', 'operator_log.admin_id', '=', 'administrators.id')
                ->where('administrators.level', DB::raw("'".$level."'"))
                ->orderBy("operator_log.updated_at", 'desc')
                ->select(DB::raw('administrators.username as username, operator_log.id as id
                , operator_log.operator as operator, operator_log.updated_at as updated_at'))
                ->paginate(15);
        }


        return $operators;
    }

    public static function getNewestLog($previousTime)
    {

        $level = \Session::get('level');
        //$operators = OperatorLog::where('updated_at', '>', $previousTime)
        //->where("level",'=',$level)->get();
        $operators = OperatorLog::leftJoin('administrators', 'operator_log.admin_id', '=', 'administrators.id')
            ->where('operator_log.updated_at', '>', DB::raw("'".$previousTime."'"))
            ->where('administrators.level', DB::raw("'".$level."'"))
            ->select(DB::raw('administrators.username as username, operator_log.id as id
            , operator_log.operator as operator, operator_log.updated_at as updated_at'))
            ->get();
  /* debug      
        $sql = OperatorLog::join('administrators', 'operator_log.admin_id', '=', 'administrators.id')
            ->where('operator_log.updated_at', '>', DB::raw("'".$previousTime."'"))
            ->where('administrators.level', DB::raw("'".$level."'"))
            ->select(DB::raw('administrators.username as username, operator_log.id as id
            , operator_log.operator as operator, operator_log.updated_at as updated_at'))
            ->toSql();
        echo $sql;
*/

        return $operators;
    }
}
