<?php

/*
|--------------------------------------------------------------------------
| Application Routes
|--------------------------------------------------------------------------
|
| Here is where you can register all of the routes for an application.
| It's a breeze. Simply tell Laravel the URIs it should respond to
| and give it the Closure to execute when that URI is requested.
|
*/
App::setLocale('tw');
$backend_prefix = Config::get('Myadmin::admin.backend_prefix');
Route::group(array(
    'prefix' => $backend_prefix,
    'before' => 'admin_auth',
    ),
    function(){
        Route::any('/', function(){
            return Redirect::to(Config::get('Myadmin::admin.backend_prefix').'/user/manage');
	});
		Route::resource('article', "ArticleController");
		Route::controller('article', "ArticleController");

		Route::resource('articleclass', "ArticleClassController");

		Route::controller('user', "UserController");
		Route::resource('user', "UserController");

		Route::resource('product', "ProductController");
		Route::controller('product', "ProductController");
		Route::resource('productclass', "ProductClassController");

		Route::resource('activity', "ActivityController");
		Route::controller('activity', "ActivityController");

		Route::resource('activityclass', "ActivityClassController");

        Route::resource('slider', "SliderController");
        
        Route::resource('consumer', "MyadminConsumerController", array('only' => array('index', 'show')));
        Route::resource('aio', "MyadminAioController");
    }
);

Route::get('/', function()
{
	return View::make('hello');
});

// to show operator log
Route::get('/admin/operators-log', 'Lucaswei\Myadmin\Controllers\MyadminController@getOperators');
//
// to load all admin method, but maybe conflict with other controller
//Route::controller('admin', 'Lucaswei\Myadmin\Controllers\MyadminController');
Route::controller('test2', 'Bee040811\Bonus\Controllers\UserRecordsController');   
