<?php

class MyadminArticleClassController extends \BaseController {

    protected $layout = 'Myadmin::layout.basic';


    public function __construct()
    {
        $routeName = Route::currentRouteName();
        $routeName = substr($routeName, 0, strrpos($routeName, '.'));

        $this->_CONST = array();
        $this->_CONST["CONTROLLER_ROUTE"] = $routeName;
        $this->_CONST["SUB_CONTROLLER"] = $this->getSubController();
        $this->_CONST["LANG_DEST"] = $this->getLangDest(); // interface function

        $this->articleModelInstance = $this->getArticleInstance();
        $this->articleClassModelInstance = $this->getArticleClassInstance();
    
    }
    /**
     * Display a listing of the resource.
     *
     * @return Response
     */
    public function index()
    {
        $this->layout->content = View::make('article-system::class.index')
            ->with('_CONST', $this->_CONST)
            ->withCategories($this->articleClassModelInstance->all())
            ->withArticles($this->articleModelInstance->all());
    }


    /**
     * Show the form for creating a new resource.
     *
     * @return Response
     */
    public function create()
    {
        //
    }


    /**
     * Store a newly created resource in storage.
     *
     * @return Response
     */
    public function store()
    {
        $userInput = Input::all();
        $class = $this->articleClassModelInstance->create(array('title' => $userInput['title']));
        $class->save();
        return Redirect::route($this->_CONST["CONTROLLER_ROUTE"].'.index');
    }


    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return Response
     */
    public function show($id)
    {
        $category = $this->articleModelInstance->findOrFail($id);
        $articles = $category->articles;
        $this->layout->content = View::make('article-system::class.show')
            ->with('_CONST', $this->_CONST)
            ->withCurrent($category)
            ->withCategories($this->articleClassModelInstance->all())
            ->withArticles($articles);
    }


    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return Response
     */
    public function edit($id)
    {
        //
    }


    /**
     * Update the specified resource in storage.
     *
     * @param  int  $id
     * @return Response
     */
    public function update($id)
    {
        $userInput = Input::all();
        $class = $this->articleClassModelInstance->findOrFail($id);
        $class->title = $userInput["title"];
        $class->save();
        return Redirect::route($this->_CONST["CONTROLLER_ROUTE"].'.index');
    }


    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return Response
     */
    public function destroy($id)
    {
        $product = $this->articleClassModelInstance->findOrFail($id);
        $product->delete();
        return Redirect::route($this->_CONST["CONTROLLER_ROUTE"].'.index');
    }

    public function getSubController()
    {
        // rewrite by subcontroller's name
    }

    public function getLangDest()
    {
        return "article-system::view";
    }

}
