<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class AdminArticleTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
        $self_table_name = "myadmin_articles";
        Schema::create($self_table_name, function($table){
            $partent_table_name = "myadmin_article_classes";
            $table->increments('id');
            $table->integer('category_id')->unsigned();
            $table->foreign('category_id')->references('id')->on($partent_table_name)->onDelete('cascade');
            $table->string('title', 100);
            $table->mediumText('origin_content')->nullable();
            $table->mediumText('content')->nullable();
            $table->timestamps();
            $table->boolean('isActive')->default(True);
            $table->string('profolio_path', 256)->nullable();
            $table->integer('viewed');
        });

        Schema::table($this->self_table_name, function($table){
        });
	}

	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
        $self_table_name = "myadmin_articles";
        Schema::drop($self_table_name);
	}

}
