<?php

class MyadminProductController extends \BaseController {

    protected $layout = 'Myadmin::layout.basic';

    // self defined members
    protected $_CONST;
    protected $articleModelInstance;
    protected $articleClassModelInstance;


    public function __construct()
    {
        $routeName = Route::currentRouteName();
        $routeName = substr($routeName, 0, strrpos($routeName, '.'));
        $routeAction = Route::currentRouteAction();
        $routeAction = substr($routeAction, 0, strrpos($routeAction, '@'));
        $level = \Session::get('level');
        $operators = OperatorLog::getLogList();

        $this->_CONST = array();
        $this->_CONST["CONTROLLER_ROUTE"] = $routeName;
        $this->_CONST["CONTROLLER_ACTION"] = $routeAction;
        $this->_CONST["CLASS_CONTROLLER"] = $this->getClassController(); // interface function
        $this->_CONST["LANG_DEST"] = $this->getLangDest(); // interface function
        $this->_CONST["level"] = $level;
        $this->_CONST["operators"] = $operators;

        $this->selfModelInstance = $this->getSelfInstance();
        $this->classModelInstance = $this->getClassInstance();
        $this->bonusCatModelInstance = $this->getBonusCatInstance();
        $this->detailModelInstance = $this->getDetailInstance();   
        
    }
    /**
     * Display a listing of the resource.
     *
     * @return Response
     */
    public function index()
    {
        //		echo $this->detailModelInstance->all();
        $categories = array();
        $notification = array();
        $bonusoption = array();
		$firstid = -1;
//        $categories[0] = "總覽";

        foreach ($this->bonusCatModelInstance->all() as $bonus) {
            $bonusoption[$bonus->id] = $bonus->category;
        }
        foreach ($this->classModelInstance->all() as $category) {
			if($firstid == -1)
				$firstid = $category->id;
            $categories[$category->id] = $category->name;	//title -> name
        }

        foreach ($this->selfModelInstance->all() as $pro){
            if($pro->stock_amount < $pro->stock_threshold){
                $notification[$pro->id] = $pro->title;
            }
        }
		return Redirect::to('admin/product/'.$firstid);
/*        return View::make('product-management::product.index')
            ->withFronturl($this->getFrontUrl())
            ->with('_CONST', $this->_CONST)
            ->withCategories($categories)
            ->withNotifications($notification)
            ->withBonusoption($bonusoption)
            ->withProducts($this->selfModelInstance->paginate(15));
*/
    }

    /* create new category */
    public function newclass()
    {
        $categories = array();
        $categories[0] = "總覽";
        foreach ($this->classModelInstance->all() as $category) {
            $categories[$category->id] = $category->name;	//title -> name
        }
        return View::make('product-management::product.newclass')
            ->withFronturl($this->getFrontUrl())
            ->with('_CONST', $this->_CONST)
            ->withCategories($categories)
            ->withProducts($this->selfModelInstance->paginate(15));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return Response
     */
    public function create()
    {
        if(isset($_GET['id'])) {
            $type = $_GET['id'];
        }
        else
            $type = 0;

        $bonusoption = array();
        $option = array();
        foreach ($this->bonusCatModelInstance->all() as $bonus) {
            $bonusoption[$bonus->id] = $bonus->category;
        }
        foreach ($this->classModelInstance->all() as $product) {
            if($product->name != "集量商品" && $product->name != "限時商品")
                $option[$product->id] = $product->name;	//tile -> name
        }
        return View::make('product-management::product.create')
            ->with('_CONST', $this->_CONST)
            ->withBonusoption($bonusoption)
            ->withCategorytype($type)
            ->withOption($option);
    }


    /**
     * Store a newly created resource in storage.
     *
     * @return Response
     */
    public function store()
    {
        $userInput = Input::all();
        $validator = Validator::make(
            $userInput,
            array(
				'product_code' => 'required|unique:products',
                'title' => 'required',
                'price' => 'required|alpha_num',
	//			'deal_baseline' => 'required|numeric|min:0',
                'image' => 'image'
            )
        );
        //		echo $userInput['close_date'];

        if ($validator->passes()) {
            $product = $this->selfModelInstance;
        	foreach ($this->classModelInstance->all() as $category) {
				if($userInput['type'] ==  $category->name)
					$product->category_id = $category->id;
			}
			if($product->category_id == null)
	            $product->category_id = $userInput['category_id'];

            $product->product_code = $userInput['product_code'];
            $product->title = $userInput['title'];
            $product->format = $userInput['format'];
            $product->price = $userInput['price'];
            $product->selling_price = $userInput['selling_price'];
            $product->available_amount = $userInput['available_amount'];
            $product->stock_amount = $userInput['stock_amount'];
            $product->video_url = $userInput['video_url'];
            $product->bonus_category_id = $userInput['bonus_category_id'];
            $product->special_case = $userInput['special_case'];
            $product->deal_baseline = $userInput['deal_baseline'];
            $product->is_available = $userInput['is_available'];
            $product->type = $userInput['type'];
            $product->close_date = $userInput['close_date'];
            $product->stock_threshold = $userInput['stock_threshold'];
            $product->description = $userInput['description'];
            $product->save();

            $count = 0;
            while(1){
                echo "while loop";
                if(Input::hasFile('image'.$count)){
                    echo "test";
                    $detail = new $this->detailModelInstance;

                    $detail->product_id = $product->id ; //$userInput['id'];
                    $detail->img_title = $userInput['img_title'.$count];
                    $detail->img_description = $userInput['img_description'.$count];

                    $dest = img_upload_path();
                    $file = Input::file('image'.$count);
                    $originalName = md5(time());
					$r = rand(1,999);
					$originalName = $originalName.$r;
                    $file->move($dest, $originalName.'.'.$file->getClientOriginalExtension());
                    $product->img_path = img_upload_path_prefix().$originalName.'.'.$file->getClientOriginalExtension();
					$product->save();
                    $detail->image = img_upload_path_prefix().$originalName.'.'.$file->getClientOriginalExtension();

                    $count++;
                    $detail->save();
                }
                else 
                    break;
            }

            try {    
                $id = \Session::get('id');
                OperatorLog::saveItem($id, "新增 " . $userInput['title']);
                return Redirect::route($this->_CONST["CONTROLLER_ROUTE"].'.index');
            } catch(PDOException $e) {
                echo $e;
                return Redirect::route($this->_CONST["CONTROLLER_ROUTE"].'.index')
                    ->with('message', sprintf('Failed to connect to database: %s', $e));
            }
        }
		else
			return Redirect::back()->withInput()->withErrors($validator);
    }


    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return Response
     */
    public function show($id)
    {
        $categories = array();
        $products = array();
        $notification = array();
        $bonusoption = array();
		$allproducts = $this->selfModelInstance->orderBy("created_at", 'desc')->get();//all();
//        $categories[0] = "總覽";
        foreach ($this->classModelInstance->all() as $category) {
            $categories[$category->id] = $category->name;
            if($category->name == "集量商品")
                $special[0] = $category->id;
            else if ($category->name == "限時商品")
                $special[1] = $category->id;;
        }
        foreach ($allproducts as $pro){
            if($pro->category_id == $id){
                $products[$pro->id] = $pro;
            }
            if($pro->category_id == $id && ($pro->stock_amount < $pro->stock_threshold) ){
                $notification[$pro->id] = $pro->title;
            }
        }
        foreach ($this->bonusCatModelInstance->all() as $bonus) {
            $bonusoption[$bonus->id] = $bonus->category;
        }
        if ($products == null){
            if($special[0] == $id){
                foreach ($allproducts as $pro){
                    if($pro->type == "集量商品"){
                        $products[$pro->id] = $pro;
                    }
                }
            }
            else if($special[1] == $id){
                foreach ($allproducts as $pro){
                    if($pro->type == "限時商品"){
                        $products[$pro->id] = $pro;
                    }
                }
            }
        }	

        return View::make('product-management::product.show')
            ->withFronturl($this->getFrontUrl())
            ->with('_CONST', $this->_CONST)
            ->withCid($id)
            ->withCategories($categories)
            ->withBonusoption($bonusoption)
            ->withNotifications($notification)
			->withAllproducts($allproducts)
            ->withProducts($products);
        // ->withProducts($this->classModelInstance->findOrFail($id)->products);
    }

    public function showproduct($search)
    {
        $categories = array();
        $produts = array();
        $categories[0] = "總覽";
        foreach ($this->classModelInstance->all() as $category) {
            $categories[$category->id] = $category->name;
        }
        foreach ($this->selfModelInstance->all() as $pro){
            if($pro->title.match($search)){
                $products[$pro->id] = $pro;
            }
        }
        return View::make('product-management::product.show')
            ->withFronturl($this->getFrontUrl())
            ->with('_CONST', $this->_CONST)
            ->withCid($id)
            ->withCategories($categories)
            ->withProducts($products);
        // ->withProducts($this->classModelInstance->findOrFail($id)->products);
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return Response
     */
    public function edit($id)
    {
        $bonusoption = array();
        $option = array();
        $detail = array();
        $count = 0;

        foreach ($this->bonusCatModelInstance->all() as $bonus) {
            $bonusoption[$bonus->id] = $bonus->category;
        }
        foreach ($this->classModelInstance->all() as $product) {
            if($product->name != "集量商品" && $product->name != "限時商品")
                $option[$product->id] = $product->name;
        }

        $product = $this->selfModelInstance->findOrFail($id);
        foreach ($this->detailModelInstance->all() as $det) {
            if($det->product_id == $id){
                $vars = json_decode($det);
                foreach ($vars as $key=>$value){
                    if(preg_match("/^img_title/", $key) || preg_match("/^img_description/", $key) || preg_match("/^id/", $key) || preg_match("/^image/", $key) ){
                        $key = $key.$count;
                        $product->$key = $value;
                    }
                }
                $detail[$count++] = $det;
            }
        }
//        		echo json_encode($product);
        return View::make('product-management::product.edit')
            ->with('_CONST', $this->_CONST)
            ->withProduct($product)
            ->withDetail($detail)
            ->withBonusoption($bonusoption)
            ->withOption($option);

    }


    /**
     * Update the specified resource in storage.
     *
     * @param  int  $id
     * @return Response
     */
    public function update($id)
    {
        $product = $this->selfModelInstance->findOrFail($id);

        $userInput = Input::all();
        $validator = Validator::make(
            $userInput,
            array(
				'product_code' => 'required',
                'title' => 'required',
                'price' => 'required|alpha_num',
				'deal_baseline' => 'required|numeric|min:0',
                'image' => 'image'
            )
        );
        if ($validator->passes()) {
        	foreach ($this->classModelInstance->all() as $category) {
				if($userInput['type'] ==  $category->name)
					$product->category_id = $category->id;
			}
//            $product->category_id = $userInput['category_id'];
            $product->product_code = $userInput['product_code'];
            $product->title = $userInput['title'];
            $product->format = $userInput['format'];
            $product->price = $userInput['price'];
            $product->selling_price = $userInput['selling_price'];
            $product->available_amount = $userInput['available_amount'];
            $product->stock_amount = $userInput['stock_amount'];
            $product->video_url = $userInput['video_url'];
            $product->bonus_category_id = $userInput['bonus_category_id'];
            $product->special_case = $userInput['special_case'];
            $product->deal_baseline = $userInput['deal_baseline'];
            $product->is_available = $userInput['is_available'];
            $product->type = $userInput['type'];
            $product->close_date = $userInput['close_date'];
            $product->stock_threshold = $userInput['stock_threshold'];
            $product->description = $userInput['description'];

            $count = 0;
            while(1){
                if(Input::has('img_title'.$count) || Input::hasFile('image'.$count)){
                    if($userInput['id'.$count] == -1)
                        $detail = new $this->detailModelInstance;
                    else
                        $detail = $this->detailModelInstance->where('id','=',$userInput['id'.$count])->first();
                    //					echo json_encode($detail);
                    $detail->product_id = $product->id ; 
                    $detail->img_title = $userInput['img_title'.$count];
                    $detail->img_description = $userInput['img_description'.$count];

                    if(Input::hasFile('image'.$count)){
                        $dest = img_upload_path();
                        $file = Input::file('image'.$count);
                        $originalName = md5(time());
						$r = rand(1,999);
						$originalName = $originalName.$r;
                        $file->move($dest, $originalName.'.'.$file->getClientOriginalExtension());
                        $product->img_path = img_upload_path_prefix().$originalName.'.'.$file->getClientOriginalExtension();
                        $detail->image = img_upload_path_prefix().$originalName.'.'.$file->getClientOriginalExtension();
                    }
                    $detail->save();
                }
                else 
                    break;
            	
				$count++;
            }

            $product->save();
            $id = \Session::get('id');
            OperatorLog::saveItem($id, "編輯 " . $userInput['title']);
            return Redirect::route($this->_CONST["CONTROLLER_ROUTE"].'.index');
        }

        return Redirect::route($this->_CONST["CONTROLLER_ROUTE"].'.edit', $id)->withErrors($validator)->withInput();

    }

    public function getFix($json){
        $objs = json_decode($json, true);
        //        print_r($objs[0]);
        //       echo $objs[1]['id'];
//		return $objs;	
        foreach ($objs as $obj){
			if(isset($obj['type']) && $obj['type'] == "activity"){
//			if($obj['type'] == "activity"){
				$type = true;
				$cid = $obj['cid'];
				$product = \ProductActivities::findOrFail($obj['id']);
				$product->is_available = $obj['is_available'];
				$product->save();
			}
			else if(isset($obj['type']) && $obj['type'] == "limited"){
				$type = true;
				$cid = $obj['cid'];
				$product = \ProductActivities::findOrFail($obj['id']);
				$product->is_available = $obj['is_available'];
				$product->available_amount = $obj['available_amount'];
				$product->stock_amount = $obj['stock_amount'];
				$product->save();
			}
			else{
				$product = $this->selfModelInstance->findOrFail($obj['id']);
				$product->available_amount = $obj['available_amount'];
				$product->stock_amount = $obj['stock_amount'];
				$product->special_case = $obj['special_case'];
				$product->is_available = $obj['is_available'];
				$product->save();
			}
        }
		if(isset($type) && $obj['type'] == "activity")
			return Redirect::to('admin/product/activity/'.$cid);
		else if(isset($type) && $obj['type'] == "limited")
			return Redirect::to('admin/product/limited/'.$cid);
		else
	        return Redirect::route('admin.product.index');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return Response
     */
    public function destroy($id)
    {
//		return "ss";
        if(isset($_GET['activity'])) {
			$product = \ProductActivities::findOrFail($id);
			$type = $this->selfModelInstance->findOrFail($product->product_id);
//			$id = \Session::get('id');
//			OperatorLog::saveItem($id, "刪除 " . $product['title']);
			$product->delete();
			if($type->type == "集量商品")
				return Redirect::to('admin/product/activity/0');
			else if($type->type == "限時商品")
				return Redirect::to('admin/product/limited/0');
        }
		else{
			$product = $this->selfModelInstance->findOrFail($id);
			if (file_exists($product->img_path)) {
				unlink($product->img_path);
			}
//			$id = \Session::get('id');
//			OperatorLog::saveItem($id, "刪除 " . $product['title']);
			$product->delete();
			return Redirect::route($this->_CONST["CONTROLLER_ROUTE"].'.index');
		}
	}

	public function getImgdelete($img_id, $id)
	{
		echo "yooo";
		echo $id;
		$detail = $this->detailModelInstance->findOrFail($img_id);
        if (file_exists($detail->image)) {
            unlink($detail->image);
        }
		$detail->delete();
//		return Redirect::route('admin.product.index');
		return Redirect::route('admin.product.edit',$id);
	}

    public function getAddproduct($id, $amount)
    {
        foreach ($this->selfModelInstance->all() as $pro){
            if( $pro->id == $id ){				
                $pro->stock_amount += $amount;
//				$pro->available_amount += $amount;
                $pro->save();
            }
        }
        return Redirect::route('admin.product.index');
    }
	
	/* class api */
    public function getClassapi($id)
    {
        $option = array();
        $products = array();
		$bonusoption = array();
		$obj;
        $count = 0;

        foreach ($this->bonusCatModelInstance->all() as $bonus) {
            $bonusoption[$bonus->id] = $bonus->category;
        }
//        foreach ($this->classModelInstance->all() as $product) {
            foreach ($this->selfModelInstance->all() as $pro){
                if($pro->category_id == $id){
					$obj["product_code"] = $pro->product_code;
					$obj["title"] = $pro->title;
					$obj["format"] = $pro->format;
					$obj["price"] = $pro->price;
					$obj["selling_price"] = $pro->selling_price;
					$obj["available_amount"] = $pro->available_amount;
					$obj["stock_amount"] = $pro->stock_amount;
					$obj["special_case"] = $pro->special_case;
					$obj["bonus"] = $bonusoption[$pro->bonus_category_id];
					$obj["is_available"] = $pro->is_available;
					$obj["type"] = $pro->type;
					
                    $products[$count] = $obj;
                    $count++;
                }
            }
//		return Redirect::to('admin/product/test');
//        return Redirect::route('admin.product.test');
        return $products;
    }

	public function getInstock($id, $num)
	{
		$product = $this->selfModelInstance->findOrFail($id);
		$product->stock_amount = $num;
		$product->save();
		return Redirect::route('admin.product.index');
	}
	
	public function getTest($id)
	{
		$test = \ProductActivities::all();
		$date = date('Y-m-d H:i:s');
//		print_r($date);
		return $date;
		return $test;	
/*
		$str = file_get_contents("http://106.187.42.25/new-hunter/new-nineten/public/admin/product/classapi/".$id);
		$json = json_decode($str, true);
		echo $str;
		echo $json;
		return 78;
*/
	}

	public function getActivity($id)
	{
		$categories = ["等待中","進行中","已完成"];
        $products = \ProductActivities::orderBy("created_at", 'desc')->get();//::all();//array();
        $productlist = new stdClass();
        $product = array();
		$allproducts = $this->selfModelInstance->orderBy("created_at", 'desc')->get();//all();
		$current = date('Y-m-d H:i:s');
//		print_r($current);

		foreach ($products as $pro) {
/*			if($pro->starting_time > $current)
				$pro->status = 0;
			else if($pro->starting_time < $current && $pro->ended_time > $current)
				$pro->status = 1;
			else if($pro->ended_time < $current)		
				$pro->status = 2;
*/
			if($pro->status == $id)
				$product[$pro->id] = $pro;
		}

        foreach ($this->classModelInstance->all() as $category) {
            if($category->name == "集量商品")
                $cid = $category->id;
		}
		
		$productlist->test = "集量商品";
		foreach ($allproducts as $allpro) {
			if($allpro->category_id == $cid){
				$str = "";
				$str = $allpro->product_code."-".$allpro->title."-".$allpro->format;
				$temp = $allpro->product_code;
				$productlist->$temp = $str;
//				array_push($productlist, $str);		
			}
		}

        return View::make('product-management::product.activity')
            ->with('_CONST', $this->_CONST)
            ->withCid($id)
            ->withCategories($categories)
            ->withProductlist($productlist)
			->withAllproducts($allproducts)
			->withActivity_pro($products)
            ->withProducts($product);
	}

	public function getCreateactivity($json){
        $objs = json_decode($json, true);
			$digits = 4;

		$current = date('Y-m-d H:i:s');
        foreach ($objs as $obj){
            $product = new \ProductActivities; 
			foreach ($this->selfModelInstance->all() as $pro){
				if($pro->product_code == $obj['product_code'])
					$product->product_id = $pro->id;
			}
			if($obj['starting_time'] > $current)
				$product->status = 0;
			else if($obj['starting_time'] < $current && $obj['ended_time'] > $current)
				$product->status = 1;
			else if($obj['ended_time'] < $current)		
				$product->status = 2;
			
			$product->product_code = $obj['product_code']."-".str_pad(rand(0, pow(10, $digits)-1), $digits, '0', STR_PAD_LEFT);
			$product->format = $obj['format'];
			$product->title = $obj['title'];
            $product->price = $obj['price'];
            $product->selling_price = $obj['selling_price'];
            $product->is_available = $obj['is_available'];
            $product->starting_time = $obj['starting_time'];
            $product->ended_time = $obj['ended_time'];
            $product->deal_lowerbound = $obj['deal_lowerbound'];
            $product->deal_upperbound = $obj['deal_upperbound'];
            $product->save();
        }
        return Redirect::to('admin/product/activity/1');
    }

	public function getActivityedit($id)
	{
		$product = \ProductActivities::findOrFail($id);
		$cid = $product->status;

        return View::make('product-management::product.activity_edit')
            ->with('_CONST', $this->_CONST)
			->withCid($cid)
            ->withProduct($product);
	}

	public function getActivityupdate($id)
	{
        $product = \ProductActivities::findOrFail($id);
        $userInput = Input::all();
		$current = date('Y-m-d H:i:s');

		if($product->status != 1){
			$validator = Validator::make(
				$userInput,
				array(
					'price' => 'required|alpha_num',
					'selling_price' => 'required|alpha_num',
					'deal_lowerbound' => 'required|numeric|min:0',
					'deal_upperbound' => 'required|numeric|min:0',
					'starting_time' => 'required',
					'ended_time' => 'required'
					)
				);
			if($validator->passes()){
				$product->price = $userInput['price'];		
				$product->selling_price = $userInput['selling_price'];		
				$product->is_available = $userInput['is_available'];		
				$product->starting_time = $userInput['starting_time'];		
				$product->ended_time = $userInput['ended_time'];		

				if($userInput['starting_time'] > $current)
					$product->status = 0;
				else if($userInput['starting_time'] < $current && $userInput['ended_time'] > $current)
					$product->status = 1;
				else if($userInput['ended_time'] < $current)		
					$product->status = 2;

				$product->deal_lowerbound = $userInput['deal_lowerbound'];		
				$product->deal_upperbound = $userInput['deal_upperbound'];		
				$product->save();

				$id = \Session::get('id');
				OperatorLog::saveItem($id, "編輯 " . $product->title);
				return Redirect::to('admin/product/activity/1');
			}
			else
				return Redirect::to('admin/product/activityedit/'.$id)->withErrors($validator)->withInput();
		}
		else{
			$validator = Validator::make(
				$userInput, array('operator_num' => 'required') );
			if($validator->passes()){
				$product->activities_num += $userInput['operator_num'];
				$product->save();

				$id = \Session::get('id');
				OperatorLog::saveItem($id, "編輯 " . $product->title);
				return Redirect::to('admin/product/activity/1');
			}
			else
				return Redirect::to('admin/product/activityedit/'.$id)->withErrors($validator)->withInput();
		}
	}

	public function getLimited($id)
	{
		$categories = ["等待中","進行中"];
        $products = \ProductActivities::orderBy("created_at", 'desc')->get();
        $productlist = new stdClass();
        $product = array();
		$allproducts = $this->selfModelInstance->orderBy("created_at", 'desc')->get();
		$current = date('Y-m-d H:i:s');
//		print_r($current);

		foreach ($products as $pro) {
			if($pro->status == $id){
				$p = $this->selfModelInstance->FindOrFail($pro->product_id);
				if($p->type == "限時商品")
					$product[$pro->id] = $pro;
			}
		}

        foreach ($this->classModelInstance->all() as $category) {
            if($category->name == "限時商品")
                $cid = $category->id;
		}
	
		// Drop down list only shows its activities number is 0.	
		$productlist->test = "限時商品";
		foreach ($allproducts as $allpro) {
			if($allpro->category_id == $cid){
				$activenum = 0;
				foreach ($products as $pro){
					if($pro->product_id == $allpro->id && $pro->status !=2 ){
						$activenum++;
						break;
					}
				}
				if($activenum == 0){
					$str = "";
					$str = $allpro->product_code."-".$allpro->title."-".$allpro->format;
					$temp = $allpro->product_code;
					$productlist->$temp = $str;
				}
			}
		}

        return View::make('product-management::product.limited')
            ->with('_CONST', $this->_CONST)
            ->withCid($id)
            ->withCategories($categories)
            ->withProductlist($productlist)
			->withAllproducts($allproducts)
			->withActivity_pro($products)
            ->withProducts($product);
	}

	public function getCreatelimited($json){
        $objs = json_decode($json, true);
		$digits = 4;

		$current = date('Y-m-d H:i:s');
        foreach ($objs as $obj){
            $product = new \ProductActivities; 
			foreach ($this->selfModelInstance->all() as $pro){
				if($pro->product_code == $obj['product_code'])
					$product->product_id = $pro->id;
			}
			if($obj['starting_time'] > $current)
				$product->status = 0;
			else if($obj['starting_time'] < $current && $obj['ended_time'] > $current)
				$product->status = 1;
			else if($obj['ended_time'] < $current)		
				$product->status = 2;
			
			$product->product_code = $obj['product_code']."-".str_pad(rand(0, pow(10, $digits)-1), $digits, '0', STR_PAD_LEFT);
			$product->format = $obj['format'];
			$product->title = $obj['title'];
            $product->price = $obj['price'];
            $product->selling_price = $obj['selling_price'];
            $product->is_available = $obj['is_available'];
            $product->starting_time = $obj['starting_time'];
            $product->ended_time = $obj['ended_time'];
            $product->available_amount = $obj['available_amount'];
            $product->stock_amount = $obj['stock_amount'];
            $product->save();
        }
        return Redirect::to('admin/product/limited/0');
    }

	public function getLimitededit($id)
	{
		$product = \ProductActivities::findOrFail($id);
		$cid = $product->status;

        return View::make('product-management::product.limited_edit')
            ->with('_CONST', $this->_CONST)
			->withCid($cid)
            ->withProduct($product);
	}

	public function getLimitedupdate($id)
	{
        $product = \ProductActivities::findOrFail($id);
        $userInput = Input::all();
		$current = date('Y-m-d H:i:s');

			$validator = Validator::make(
				$userInput,
				array(
					'price' => 'required|alpha_num',
					'selling_price' => 'required|alpha_num',
					'starting_time' => 'required',
					'ended_time' => 'required'
					)
				);
			if($validator->passes()){
				$product->price = $userInput['price'];		
				$product->selling_price = $userInput['selling_price'];		
				$product->available_amount = $userInput['available_amount'];
				$product->stock_amount = $userInput['stock_amount'];
				$product->is_available = $userInput['is_available'];		
				$product->starting_time = $userInput['starting_time'];		
				$product->ended_time = $userInput['ended_time'];		

				if($userInput['starting_time'] > $current)
					$product->status = 0;
				else if($userInput['starting_time'] < $current && $userInput['ended_time'] > $current)
					$product->status = 1;
				else if($userInput['ended_time'] < $current)		
					$product->status = 2;

				$product->save();

//				$id = \Session::get('id');
//				OperatorLog::saveItem($id, "編輯 " . $product->title);
				return Redirect::to('admin/product/limited/'.$product->status);
			}
			else
				return Redirect::to('admin/product/limitededit/'.$id)->withErrors($validator)->withInput();
	}

	public function getLimiteddelete($id)
	{
		$product = \ProductActivities::findOrFail($id);
	//	$id = \Session::get('id');
	//	OperatorLog::saveItem($id, "刪除 " . $product['title']);
	//	$product->delete();
		$product->status = 2;
		$product->save();
		return Redirect::to('admin/product/limited/0');
	}

    public function getLangDest()
    {
        return "product-management::view";
    }
}
