@extends('Myadmin::layout.basic')

@section('header')
<script src="{{ App::make("myadmin")->asset('/ckeditor/ckeditor.js') }}"></script>
<script src="../../js/bootstrap-datetimepicker.min.js" type="text/javascript"></script>
<link rel="stylesheet" href="{{asset('css/bootstrap-datetimepicker.min.css')}}" />
@stop

@section('content')
<style type="text/css" media="screen">
    img#preview{
        width:150px;
        height:150px;
        padding:2px;
        border:1px solid #000;
    }
	.btn-my{  
		background: #006633;
		width: 100px;  
		height: 100px;  
		-moz-border-radius: 50%;  
		-webkit-border-radius: 50%;  
		border-radius: 50%;  
	}  
	.btn-my:hover {  
        background: #BFEC3E;   
        color:#e75616;  
    }  
</style>
<div>
    {{ Form::open(array(
        'action'=>$_CONST["CONTROLLER_ROUTE"].'.store',
        'class'=>'form-horizontal well',
        'files' => true
    ))}}

	@if($errors->has())
			<div class="alert alert-warning" role="alert">{{ $errors->first() }}</div>
	@endif

    <div class="form-group ">
			@if ($categorytype == 1)		
		        <h3><label class="col-sm-2 control-label">集量商品 : </label></h3>
				{{ Form::hidden('categorytype', '1', array('class' => 'form-control')) }}
			@elseif ($categorytype == 2)
		        <h3><label class="col-sm-2 control-label">限時商品 : </label></h3>
				{{ Form::hidden('categorytype', '2', array('class' => 'form-control')) }}
			@else
		        <label class="col-sm-2 control-label">商品類別</label>
        		<div class="col-sm-10">
		            {{ Form::select('category_id', $option, '', array('class' => 'form-control'))}}
				</div>
			@endif
    </div>
    <div class="form-group ">
        <label class="col-sm-2 control-label">商品編碼</label>
        <div class="col-sm-10">
            {{ Form::text('product_code', '', array('class' => 'form-control'))}}
        </div>
    </div>
    <div class="form-group ">
        <label class="col-sm-2 control-label">商品名稱</label>
        <div class="col-sm-10">
            {{ Form::text('title', null, array('class' => 'form-control'))}}
        </div>
    </div>
    <div class="form-group ">
        <label class="col-sm-2 control-label">商品條件</label>
        <div class="col-sm-10">
            {{ Form::text('format', 'red / S', array('class' => 'form-control'))}}
        </div>
    </div>
    <div class="form-group ">
        <label class="col-sm-2 control-label">商品定價</label>
        <div class="col-sm-10">
            {{ Form::number('price', null, array('class' => 'form-control'))}}
        </div>
    </div>
    <div class="form-group ">
        <label class="col-sm-2 control-label">商品售價</label>
        <div class="col-sm-10">
            {{ Form::number('selling_price', null, array('class' => 'form-control'))}}
        </div>
    </div>

    <div class="form-group ">
        <label class="col-sm-2 control-label">架上數量</label>
        <div class="col-sm-10">
            {{ Form::number('available_amount', null, array('class' => 'form-control'))}}
        </div>
	</div>	

    <div class="form-group ">
        <label class="col-sm-2 control-label">最大數量</label>
        <div class="col-sm-10">
            {{ Form::number('stock_amount', null, array('class' => 'form-control'))}}
        </div>
    </div>
    <div class="form-group ">
        <label class="col-sm-2 control-label">影片連結</label>
        <div class="col-sm-10">
            {{ Form::text('video_url', null, array('class' => 'form-control'))}}
        </div>
    </div>
    <div class="form-group ">
        <label class="col-sm-2 control-label">特殊條件</label>
        <div class="col-sm-10">
            {{ Form::select('special_case', array('無' => '無', '限量商品' => '限量商品', '熱銷商品' => '熱銷商品') , '無', array('class' => 'form-control'))}}
        </div>
    </div>
    <div class="form-group ">
        <label class="col-sm-2 control-label">紅利類別</label>
        <div class="col-sm-10">
            {{ Form::select('bonus_category_id', $bonusoption, null, array('class' => 'form-control'))}}  
        </div>
    </div>

    <div class="form-group ">
        <label class="col-sm-2 control-label">顯示狀態</label>
        <div class="col-sm-10">
        <div class="col-sm-1">    {{ Form::radio('is_available', '上架' )}}上架 </div>
        <div class="col-sm-1">    {{ Form::radio('is_available', '下架', true )}}下架 </div>
{{--        <div class="col-sm-1">    {{ Form::radio('is_available', '隱藏' )}}隱藏 </div>	--}}
        </div>
    </div>

    <div class="form-group hidden">
        <label class="col-sm-2 control-label">商品狀態</label>
        <div class="col-sm-10">
            {{ Form::select('type', array('一般商品' => '一般商品', '集量商品' => '集量商品', '限時商品' => '限時商品') , null, array('class' => 'form-control'))}}
	    </div>
    </div>
	<div class="hidden" id="product-type" data-id={{ $categorytype }}></div>
    <div class="form-group" style="display:none" id="deal">
        <label class="col-sm-2 control-label">多少數量以上</label>
        <div class="col-sm-10">
            {{ Form::number('deal_baseline', null, array('class' => 'form-control'))}}
        </div>
    </div>
    <div class="form-group" style="display:none" id="close">
        <label class="col-sm-2 control-label">關閉時間</label>
		<div id="datetimepicker" class="col-sm-3 input-append date">  
    		<input type="text" name="close_date" data-format="dd/MM/yyyy hh:mm:ss" ></input>  
	        <span class="glyphicon glyphicon-calendar add-on btn" data-time-icon="icon-time" data-date-icon="icon-calendar"></span>  
    	</div>  
    </div>

    <div class="form-group ">
        <label class="col-sm-2 control-label">商品最低水位</label>
        <div class="col-sm-10">
            {{ Form::number('stock_threshold', null, array('class' => 'form-control'))}}
        </div>
    </div>

	<div id="update_pic">
    <div class="form-group">
        <label class="col-sm-2 control-label">圖片上傳區</label>
        <div class="col-sm-2">
			<input name="image0" type="file">
{{--            {{ Form::file('image')}}		--}}
            <img style="width:150px;height:150px" class="preview" src="{{ App::make("myadmin")->asset('images/photoshop.jpg') }}">
        </div>
		<hr>
		<div class="col-sm-5">
			Name : 
			{{Form::text('img_title0', null, array('class' => 'form-control'))}}
		</div>
		<div class="col-sm-5">
			Contents : 
			{{Form::textarea('img_description0', null, array('class' => 'input-xlarge form-control'))}}
		</div>
	</div>
	</div>
	<button type="button" id="btnplus" class="btn btn-my glyphicon glyphicon-plus" style="margin-left:50%"></button>
	<hr>
    <div class="form-group ">
        <label class="col-sm-2 control-label">商品描述</label>
        <div class="col-sm-10">
            {{ Form::textarea('description', null, array('class' => 'input-xxlarge form-control'))}}		{{--origin_content -> description--}}
        </div>
    </div>
    <hr>
{{--
    <div class="form-group ">
        <label class="col-sm-2 control-label">Submit</label>
        <div class="col-sm-10">
            {{ Form::submit('Click me!!')}}
        </div>
    </div>
--}}
    <div class="form-group">
        <label class="col-sm-2 control-label"></label>
        <div class="col-sm-10">
            <input type="submit" name="" value="新增產品" class="btn btn-primary"  />
        </div>
    </div>
    {{ Form::close()}}

</div>

<script type="text/javascript">
	$(function() {
		$("#datetimepicker").datetimepicker({
			language: 'en',
			pickTime: true,
			pickDate: true,
			format: 'yyyy-MM-dd hh:mm:ss',
//			sideBySide: true
		});
		$("#datetimepicker .glyphicon-calendar").click(function(){ $(".icon-time").addClass("glyphicon glyphicon-time btn")});
	});
</script>
<script type="text/javascript" charset="utf-8">
	$(document).ready(function(){
		var count_pic = 1;
		$("select[name=type]").change(function(){
			console.log($("select[name=type]").val());
			if($("select[name=type]").val() == "集量商品"){
				document.getElementById('deal').style.display = 'block';
				document.getElementById('close').style.display = 'block';
				console.log("yooooooo");
			}
			else if($("select[name=type]").val() == "限時商品"){
				document.getElementById('deal').style.display = 'none';
				document.getElementById('close').style.display = 'block';
				console.log("close date");
			}
			else if($("select[name=type]").val() == "一般商品"){
				document.getElementById('deal').style.display = 'none';
				document.getElementById('close').style.display = 'none';
				console.log("normal");
			}
		});

		if($("#product-type").data("id") == 1){
			$("select[name=type]").val("集量商品").change();	
			document.getElementById('deal').style.display = 'block';
			console.log("success");
		}
		else if($("#product-type").data("id") == 2){
			$("select[name=type]").val("限時商品").change();	
			document.getElementById('close').style.display = 'block';
			console.log("success");
		}
		else if($("#product-type").data("id") == 0){
			$("select[name=type]").val("一般商品").change();	
		}

		$("#btnplus").click(function(){
			var str = '<div class="form-group id="pic'+count_pic+'"> <label class="col-sm-2 control-label">圖片上傳區</label> <div class="col-sm-2"> <input name="image'+count_pic+'" type="file"> <img style="width:150px;height:150px" id="preview" src="{{ App::make("myadmin")->asset('images/photoshop.jpg') }}"> </div> <hr><div class="col-sm-5"> Name : <input class="form-control" name="img_title'+count_pic+'" type="text"> </div> <div class="col-sm-5"> Contents : <textarea class="input-xlarge form-control" name="img_description'+count_pic+'" cols="50" rows="10"></textarea> </div> <button type="button" id="btnminus'+count_pic+'" class="btn btn-my glyphicon glyphicon-minus"></button> </div> ';
   
			$("#update_pic").append(str);
			count_pic++;
			$(".glyphicon-minus").click(function(){
				if ( confirm('是否刪除此圖片?') )
					$(this).parent().remove();
			});
		});

	});
</script>


@stop

@section('js-snippet')
    @include('Myadmin::js.preview', array('bind' => 'input[name=image]','target' => '.preview'))
    @include('Myadmin::js.ckeditor', array(
        'target' => 'origin_content',
    ))
@stop



