<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateUserTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
        Schema::create('myadmin_users', function($table){
            $table->increments('id');
            $table->string('account', 20);
            $table->string('password', 60);
            $table->string('name', 50)->nullable();
            $table->string('email', 100)->nullable();
            $table->string('phone', 20)->nullable();
            $table->enum('permission', array( '管理員', '文章編輯者', '精油愛好者'))->default('精油愛好者');
            $table->string('remember_token', 100)->nullable();
            $table->timestamps('updated_at');
            $table->boolean('isActive')->default(True);
            $table->string('auth_code', 32)->nullable();
            $table->string('reset_code', 32)->nullable();
            $table->string('onetime_nonce', 32)->nullable();
        });
	}

	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
        Schema::drop('myadmin_users');
	}

}
